proc CalibrateSilence { } {
    global option

    SayFile calibrate.dsp
    Calibrate $option(record.rate) $option(record.level)
    SayFile alldone.dsp
}

proc CalibrateScreenRefresh { } {
    global option images

    set nframes 0
    set wait $option(refresh.wait)
    set elapsed [time \
		    {
			set nframes 0
			foreach img $images(limages) {
			    DisplayImage $img
			    incr nframes
			    after $wait
	}
		    } 5]
    set ms [expr [lindex $elapsed 0] / 1000.0]
    set rate [expr $ms / $nframes]
    put_debug "Elapsed = $ms ms,  frames = $nframes => rate = $rate] ms/frame"
    set option(refresh.delay) [expr round ( $rate ) ]
}


