proc SetTalkingImage {} {
    global face images

    $face configure -image $images(talk)
    update
}

proc SetListenImage {} {
    global face images

    $face configure -image $images(listen)
    update
}

proc LedOn { } {
    global led

    $led configure -bg green
    update
}

proc LedOff { } {
    global led

    $led configure -bg red
    update
}

proc MoveLips { nbytes rate } {
    global option images

    set delay $option(refresh.delay)
    set nsecs [expr ($nbytes * 0.9)/ $rate ]
    set nframes [expr round (($nsecs * 1000)/$delay)]
    set nimages [llength $images(limages)]
    set wait $option(refresh.wait)
    set i 0
    while { $nframes > 0 } {
	DisplayImage [lindex $images(limages) [expr $i % $nimages] ]
	incr nframes -1
	incr i
	after $wait
    }
    SetListenImage
}

proc DisplayImage { img } {
    global face 

    $face configure -image $img
    update
}

proc LoadImages {} {
    global option images

    
    set cdir [pwd]
    cd $option(dir.images)

    set images(talk) [image create photo -file talk.gif]
    set images(listen) [image create photo -file listen.gif]
    set images(exit) [image create photo -file exit.gif]
    set l {}
    foreach img [glob peng*.gif] {
	lappend l [image create photo -file $img]
    }
    set images(limages) $l
    cd $cdir
}
