proc LoadDefaultOptions { } {
    global option env

    set option(record.rate) 16384 
    set option(record.len) 10
    set option(record.level) 80
    set option(speaker.rate) [expr $option(record.rate) * 1.5]
    set option(speaker.level) 80
    set option(refresh.delay) 150
    set option(refresh.wait) 50
    set option(dir.images) [file join $env(PERCYLIB) images]
    set option(dir.phrases) [file join $env(PERCYLIB) phrases]
    set option(theme) normal
}

proc SaveOptions { } {
    global option

    set fd [open ~/.percyrc w]
    puts $fd "array set option \{"
    foreach opt [lsort [array names option]] {
	puts $fd "$opt $option($opt)"
    }
    puts $fd "\}" 
    close $fd
}

proc LoadOptions { } {
    global option

    LoadDefaultOptions
    if [file exists ~/.percyrc] {
	source ~/.percyrc
    } else {
	source /etc/percyrc
    }
}
